<?php 
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
	  
	include_once '../config/database.php';
	include_once '../objects/staff.php'; 

	$database = new Database();
	$db = $database->getConnection();
	  
	$staff = new Staff($db); 
	$data = json_decode(file_get_contents("php://input")); 

	$staff->branch_id = $data->branch_id;
	$stmt = $staff->getAllRows();
	$num = $stmt->rowCount();

	$arr = array();
	$arr["records"] = array();

	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail = array(
				"id" => (int)$id,
				"branch" => $branch,
				"name" => $name,
				"join_date" => $join_date,
				"position" => $position,
				"dob" => $dob,
				"nrc_no" => $nrc_no,
				"gender" => $gender,
				"gender_text" => $gender == 1 ? "Male" : "Female",
				"phone" => $phone,
				"email" => $email,
				"address" => $address,
				"resign" => $resign,
				"resign_date" => $resign_date
			);
			array_push($arr["records"], $detail);
		}
	}
	echo json_encode($arr);
?>